Download it now!
Bug 93886 - Mailmerge: Bookmarks disappear from created individual files
Summary: Mailmerge: Bookmarks disappear from created individual files
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2015-09-03 10:57 UTC by jf.hoolans
Modified: 2020-07-28 04:47 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Capture écran LibreOffice (284.23 KB, image/png)
2015-09-06 10:47 UTC, jf.hoolans
Details
Master document (25.73 KB, application/vnd.oasis.opendocument.text)
2016-01-07 06:49 UTC, jf.hoolans
Details
Database (55.00 KB, application/vnd.ms-excel)
2016-01-07 06:50 UTC, jf.hoolans
Details
Child document (24.52 KB, application/vnd.oasis.opendocument.text)
2016-01-07 06:50 UTC, jf.hoolans
Details
Creating child documents (272.22 KB, image/png)
2016-01-07 06:51 UTC, jf.hoolans
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jf.hoolans 2015-09-03 10:57:21 UTC
Hello.
I realize a document with references in the text. Links are created and used to navigate through the document.
I then created from this document to other documents by mail (the fields are filled automatically).
Created on direct mail, the markers have disappeared in the text, not links.
Thank you for your help.
Comment 1 MM 2015-09-05 21:06:27 UTC
Can you tell here how to reproduce the bug, with as much detail as possible ?!
Comment 2 jf.hoolans 2015-09-06 10:47:40 UTC
Created attachment 118459 [details]
Capture écran LibreOffice
Comment 3 jf.hoolans 2015-09-06 10:48:06 UTC
Hello.
I create a master document with fields that are filled with a database (F4 to display the base).
On this document, there are links to references in the text.
Links to pins work correctly on the master document.
In the navigation tab, the markers are displayed.
When I create child documents (printing> Want to print a form letter (from the database)> Yes), documents are created as individual file.
On these individual files, the links are created, but pins in the text disappeared.
Links to these benchmarks therefore no longer work.
Attached is a screenshot of the master document.
Hoping to have been accurate.
Do not hesitate to ask for further information.
Comment 4 jf.hoolans 2015-09-17 12:49:51 UTC
Hello.
What's news ?

Do you find a solution ?

Thanks.
Comment 5 jf.hoolans 2016-01-05 15:40:01 UTC
Hello.

I still have no solution, you have a solution?

Recall :

I create a master document with fields that are filled with a database (F4 to display the base).

On this document, there are links to references in the text (navigation > text markers).
Links to pins work correctly on the master document.
In the navigation tab, the markers are displayed.

When I create child documents (printing > Want to print a form letter (from the database) > Yes), documents are created as individual file.

On these individual files, the links are created, but pins in the text disappeared.

Links to these benchmarks therefore no longer work.

Hoping to have been accurate.
Do not hesitate to ask for further information.
Comment 6 jf.hoolans 2016-01-05 15:43:59 UTC
The links are created, but pins in the text disappeared.
Comment 7 Buovjaga 2016-01-06 18:58:58 UTC
Please attach such a document and database file so we can test. You can create an example file with no private information (just one field is fine, I guess).

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the documents.
Comment 8 jf.hoolans 2016-01-07 06:49:58 UTC
Created attachment 121762 [details]
Master document
Comment 9 jf.hoolans 2016-01-07 06:50:20 UTC
Created attachment 121763 [details]
Database
Comment 10 jf.hoolans 2016-01-07 06:50:46 UTC
Created attachment 121764 [details]
Child document
Comment 11 jf.hoolans 2016-01-07 06:51:48 UTC
Created attachment 121765 [details]
Creating child documents
Comment 12 jf.hoolans 2016-01-07 06:54:52 UTC
Hello.
I added four documents that you can test.
The master document database, a document created by direct mail and screenshot of creating child documents.
The marks disappear in the child documents.
Thanks for your help.
Comment 13 Buovjaga 2016-01-07 09:23:20 UTC
Ok, I created the database by using the spreadsheet as source: File - New - Database - Connect to an existing database.
I named it Listes_CC.
Started the printing process.
Selected all the records by clicking the upper left corner and adjusted settings like in your screenshot attachment 121765 [details]

I confirm that the bookmarks are not present in the produced documents.

Win 7 Pro 64-bit, Version: 5.0.4.2 (x64)
Build ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78
Locale: fi-FI (fi_FI)
Comment 14 QA Administrators 2018-07-28 02:42:42 UTC Comment hidden (obsolete)
Comment 15 QA Administrators 2020-07-28 04:47:25 UTC
Dear jf.hoolans,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug